Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034192
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-10-11 19:062016-12-16 18:38
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisionc70a9fe71bff
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034192: Quantity in second UOM does not match in purchase order line and goods receipt line

DescriptionQuantity in second UOM does not match in purchase order line and goods receipt line. Should the quantity in the second UOM be updated to the standard precision of the Unit of Measure?
Steps To ReproduceSet the generalQty formats to show 4 decimals
Set as displayed the Order UOM and Order Quantity fields in Purchase Order Lines and Goods Receipt Lines
Set as active the Product - UOM and Unit of Measure - Conversion tabs

As group admin role:
   Create a new Unit of Measure
   Add a conversion of 2.37 to Unit
   Create a new product, set Unit as it UOM
   Add a purchase price to it
   Add the previously created Unit of Measure in the Product - UOM tab
   Create a purchase order
   Add the previously created product in the line:
   Fill the Order Quantity (50) and Order UOM fields
   Check the UOM field gets filled automatically and the Ordered Quantity is updated to 119 (having a standard precision of 0 for Unit)
   Book it
   Go to Pending Goods Receipt, select the previously created order, add a date and a storage bin and process
   Check through database the quantityorder is 50.206100
   Void the goods receipt
   Create a new Goods Receipt header and select the previously created order in the Create Lines From process
   Complete it
   Check the quantityorder is 50

   --ORDER LINE
   select qtyordered as FirstUOM, quantityorder as SecondUOm
   from c_orderline
   order by created desc
   limit 1

   --GOODS RECEIPT LINE
   select movementqty as firstUOM, quantityorder as SecondUOM
   from m_inoutline
   order by created desc
   limit 3
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00304813.0PR15Q4 closedAtulOpenbravo Wrong quantity conversion in goods receipts under some circumstancies 

-  Notes
(0090555)
markmm82 (developer)
2016-10-13 16:49

Test Plan
Set the generalQty formats to show 4 decimals
Set as displayed the Order UOM and Order Quantity fields in Purchase Order Lines and Goods Receipt Lines
Set as active the Product - UOM and Unit of Measure - Conversion tabs

As group admin role:
   Create a new Unit of Measure
   Add a conversion of 2.37 to Unit
   Create a new product, set Unit as it UOM
   Add a purchase price to it
   Add the previously created Unit of Measure in the Product - UOM tab
   Create a purchase order
   Add the previously created product in the line:
   Fill the Order Quantity (50) and Order UOM fields
   Check the UOM field gets filled automatically and the Ordered Quantity is updated to 119 (having a standard precision of 0 for Unit)
   Book it
   Go to Pending Goods Receipt, select the previously created order, add a date and a storage bin and process
   Go to Goods Receipt window and select the receipt created by the process. Notice the Order Quantity field of the line is 50, just like the order was created from.
     - Also you can check through database the quantityorder is 50
   Void the goods receipt
   Create a new Goods Receipt header and select the previously created order in the Create Lines From process
   Complete it
   Check the quantityorder is 50.
(0090825)
hgbot (developer)
2016-10-24 17:55

Repository: erp/devel/pi
Changeset: c70a9fe71bff07c7b9611f00a2f4e841c9c789f8
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Oct 12 16:10:28 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/c70a9fe71bff07c7b9611f00a2f4e841c9c789f8 [^]

Fixes issue 34192: Qty in second UOM does match in PO and goods receipt lines

Only recalculate the second UOM if user changes the quantity of the first UOM when process the purchase order.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.java
---
(0090829)
hgbot (developer)
2016-10-24 19:57

Repository: erp/devel/pi
Changeset: 309ac3557a9fa7f0bac17fd11fc3f8d8452e4b20
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Oct 24 19:56:29 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/309ac3557a9fa7f0bac17fd11fc3f8d8452e4b20 [^]

Related to issue 34192: Code review improvements

Round order quantity to order uom standard precision.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.java
---
(0090830)
aferraz (developer)
2016-10-24 19:57

Code review + Testing OK
(0092552)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092553)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-11 19:06 ngarcia New Issue
2016-10-11 19:06 ngarcia Assigned To => Triage Finance
2016-10-11 19:06 ngarcia Modules => Core
2016-10-11 19:06 ngarcia Triggers an Emergency Pack => No
2016-10-11 19:06 ngarcia Issue Monitored: networkb
2016-10-11 19:13 ngarcia Steps to Reproduce Updated View Revisions
2016-10-11 19:15 ngarcia Relationship added related to 0030481
2016-10-11 19:19 aferraz Assigned To Triage Finance => markmm82
2016-10-12 19:03 markmm82 Status new => scheduled
2016-10-13 16:49 markmm82 Note Added: 0090555
2016-10-24 17:55 hgbot Checkin
2016-10-24 17:55 hgbot Note Added: 0090825
2016-10-24 17:55 hgbot Status scheduled => resolved
2016-10-24 17:55 hgbot Resolution open => fixed
2016-10-24 17:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c70a9fe71bff07c7b9611f00a2f4e841c9c789f8 [^]
2016-10-24 17:56 aferraz Review Assigned To => aferraz
2016-10-24 17:56 aferraz Note Added: 0090826
2016-10-24 17:56 aferraz Status resolved => closed
2016-10-24 17:56 aferraz Fixed in Version => 3.0PR17Q1
2016-10-24 19:56 aferraz Note Deleted: 0090826
2016-10-24 19:57 hgbot Checkin
2016-10-24 19:57 hgbot Note Added: 0090829
2016-10-24 19:57 aferraz Note Added: 0090830
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092552
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092553


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker